Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class MessageRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.MessageRendererBase

Direct Known Subclasses:
  HtmlMessageRenderer, HtmlMessagesRenderer, NotifyMessageRendererBase

    public class MessageRendererBase

extends RendererBase

Author:
  asmirnov@exadel.com

Constructor Summary
`MessageRendererBase()`

Method Summary
`protected void` | `encodeMessage(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object msg)`
`protected void` | `encodeScript(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected String` | `getJSClassName()`
`protected javax.faces.application.FacesMessage.Severity` | `getLevel(javax.faces.component.UIComponent component)`
`protected Iterator<MessageForRender>` | `getMessages(javax.faces.context.FacesContext context, String forClientId, javax.faces.component.UIComponent component)`
`protected String` | `getMsgClass(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object msg)`
`protected String` | `getMsgStyle(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object msg)`
`protected Iterable<MessageForRender>` | `getVisibleMessages(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` TODO - make Generator aware of Iterator.
`protected boolean` | `isComponentMessage(javax.faces.component.UIComponent component)`
`protected boolean` | `isComponentMessages(javax.faces.component.UIComponent component)`
`protected boolean` | `isComponentRichMessage(javax.faces.component.UIComponent component)`
`protected boolean` | `isComponentRichMessages(javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageRendererBase

    public MessageRendererBase()

Method Detail

### getMessages

    protected Iterator<MessageForRender> getMessages(javax.faces.context.FacesContext context,
                                                     String forClientId,
                                                     javax.faces.component.UIComponent component)

### getVisibleMessages

    protected Iterable<MessageForRender> getVisibleMessages(javax.faces.context.FacesContext context,
                                                            javax.faces.component.UIComponent component)

  TODO - make Generator aware of Iterator.

  Parameters:
    `context` -
    `component` -
  Returns:

### getLevel

    protected javax.faces.application.FacesMessage.Severity getLevel(javax.faces.component.UIComponent component)

### isComponentMessage

    protected boolean isComponentMessage(javax.faces.component.UIComponent component)

### isComponentRichMessage

    protected boolean isComponentRichMessage(javax.faces.component.UIComponent component)

### isComponentMessages

    protected boolean isComponentMessages(javax.faces.component.UIComponent component)

### isComponentRichMessages

    protected boolean isComponentRichMessages(javax.faces.component.UIComponent component)

### encodeMessage

    protected void encodeMessage(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component,
                                 Object msg)
                          throws IOException

  Throws:
    `IOException`

### getJSClassName

    protected String getJSClassName()

### encodeScript

    protected void encodeScript(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent component)
                         throws IOException

  Throws:
    `IOException`

### getMsgClass

    protected String getMsgClass(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component,
                                 Object msg)
                          throws IOException

  Throws:
    `IOException`

### getMsgStyle

    protected String getMsgStyle(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component,
                                 Object msg)
                          throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.